## haskell-blaze-builder 0.2.1.4

=== Makefile ===

##############################################################################
## Benchmarks
##############################################################################

## Config
#########

GHC6 = ghc-6.12.3
GHC7 = ghc-7.0.1

GHC = $(GHC7)

GHCI = ghci-6.12.3


## All benchmarks
#################

bench-all: bench-compression bench-string-and-text bench-throughput bench-chunked-write

clean-bench-all:
	rm -f benchmarks/*.o benchmarks/*.hi
	rm -f benchmarks/Throughput/*.o benchmarks/Throughput/*.hi
	rm -f Text/Blaze/Builder.o Text/Blaze/Builder.hi
	rm -f Text/Blaze/Builder/*.o Text/Blaze/Builder/*.hi
	rm -f Text/Blaze/Builder/Char/*.o Text/Blaze/Builder/Char/*.hi
	rm -f Text/Blaze/Builder/Html/*.o Text/Blaze/Builder/Html/*.hi
	rm -f Text/Blaze/Builder/Core/*.o Text/Blaze/Builder/Core/*.hi
	rm -f benchmarks/Compression benchmarks/StringAndText benchmarks/BenchThroughput benchmarks/ChunkedWrite benchmarks/BlazeVsBinary
	rm -f Criterion/*.o Criterion/*.hi
	rm -f Criterion/ScalingBenchmark

## Individual benchmarks
########################

# 'blaze-builder' vs. 'binary' comparision
bench-blaze-vs-binary:
	$(GHC) --make -O2 -fforce-recomp -main-is BlazeVsBinary benchmarks/BlazeVsBinary.hs
	./benchmarks/BlazeVsBinary --resamples 10000

# throughput benchmarks: interactive development
ghci-throughput: benchmarks/Throughput/CBenchmark.o 
	$(GHCI) -O2 -fforce-recomp -ibenchmarks -main-is BenchThroughput benchmarks/Throughput/CBenchmark.o benchmarks/BenchThroughput.hs

bench-throughput: benchmarks/Throughput/CBenchmark.o
	$(GHC) --make -O2 -fforce-recomp -fliberate-case-threshold=1000 -ibenchmarks -main-is BenchThroughput benchmarks/Throughput/CBenchmark.o benchmarks/BenchThroughput.hs
	./benchmarks/BenchThroughput 100

benchmarks/Throughput/CBenchmark.o: benchmarks/Throughput/CBenchmark.c
	gcc -O3 -c $< -o $@

# Benchmark benefit of serializing several list elements at once
bench-chunked-write:
	$(GHC) --make -O2 -fforce-recomp -main-is ChunkedWrite benchmarks/ChunkedWrite.hs
	./benchmarks/ChunkedWrite --resamples 10000

core-chunked-write:
	ghc-core -- --make -O2 -fforce-recomp -main-is ChunkedWrite benchmarks/ChunkedWrite.hs

# Benchmark best serialization techniques for 'String' and 'Text'
bench-string-and-text:
	$(GHC) --make -O2 -fforce-recomp -ibenchmarks -main-is StringAndText StringAndText
	echo $(GHC)
	./benchmarks/StringAndText --resamples 10000

# Benchmark benefit of compaction before compression
bench-compression:
	$(GHC) --make -O2 -fforce-recomp -ibenchmarks -main-is Compression Compression
	./benchmarks/Compression --resamples 10000

# Benchmark the use of unboxed continuation calls
bench-unboxed-append:
	$(GHC) --make -O2 -fforce-recomp -ibenchmarks -main-is UnboxedAppend UnboxedAppend
	./benchmarks/UnboxedAppend --resamples 10000

# Core of the use of unboxed continuation calls
core-unboxed-append:
	ghc-core -- --make -O2 -fforce-recomp -main-is UnboxedAppend benchmarks/UnboxedAppend.hs

# Benchmark the cost of the Put monad vs. the Builder monoid
bench-put-vs-builder:
	$(GHC) --make -O2 -fforce-recomp -ibenchmarks -main-is FastPut FastPut
	./benchmarks/FastPut --resamples 10000

# Benchmark the cost/benefit of a more general write type
bench-bounded-write:
	$(GHC7) --make -O2 -fforce-recomp -ibenchmarks -main-is BoundedWrite BoundedWrite
	./benchmarks/BoundedWrite --resamples 10000

core-bounded-write:
	ghc-core -- --make -O2 -fforce-recomp -main-is BoundedWrite benchmarks/BoundedWrite.hs


# Benchmark the benefit of using a packed representation for the buffer range
bench-buffer-range:
	$(GHC) --make -O2 -fforce-recomp -ibenchmarks -main-is BuilderBufferRange BuilderBufferRange
	./benchmarks/BuilderBufferRange --resamples 10000

# Benchmark improvements to lazy bytestring functions
bench-lazy-bytestring:
	$(GHC) --make -O2 -fforce-recomp -ibenchmarks -main-is LazyByteString LazyByteString
	./benchmarks/LazyByteString --resamples 10000

# Benchmark benefit of compaction before compression
bench-server:
	$(GHC) --make -O2 -ibenchmarks -main-is BenchmarkServer BenchmarkServer
	# ./benchmarks/BenchmarkServer --resamples 10000
	./benchmarks/BenchmarkServer 9999 100000 +RTS -s&
	ab -n 1000 localhost:9999/lbs
	curl localhost:9999/kill > /dev/null 2>&1



##############################################################################
## Plots
##############################################################################

plot-all:
	$(GHC) --make -O2 -fforce-recomp -main-is Criterion.ScalingBenchmark Criterion.ScalingBenchmark
	./Criterion/ScalingBenchmark --resamples 10000


##############################################################################
## Tests
##############################################################################

test:
	$(GHC) --make -fforce-recomp -O2 -itests -main-is Tests Tests
	./tests/Tests

clean-tests:
	rm -f tests/Tests tests/*.o tests/*.hi

ghci-llvm-segfault: 
	$(GHCI) -itests -main-is LlvmSegfault tests/LlvmSegfault 

test-llvm-segfault: 
	ghc-7.0.0.20100924 --make -fllvm -itests -main-is LlvmSegfault tests/LlvmSegfault 
	./tests/LlvmSegfault

##############################################################################
## All inclusive targets
##############################################################################

clean: clean-tests clean-bench-all

=== debian/changelog ===
haskell-blaze-builder (0.2.1.4-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Nov 2011 08:50:35 -0400

haskell-blaze-builder (0.2.1.4-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Mon, 06 Jun 2011 09:33:46 +0100

haskell-blaze-builder (0.2.1.4-1) unstable; urgency=low

  * Initial release.  (Closes: #622625)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 13 Apr 2011 11:35:36 -0300

=== debian/control ===
Source: haskell-blaze-builder
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-text-dev (>= 0.10), libghc-text-dev (<< 0.12)
  , libghc-text-prof (>= 0.10), libghc-text-prof (<< 0.12)
Build-Depends-Indep: ghc-doc
  , libghc-text-doc (>= 0.10), libghc-text-doc (<< 0.12)
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/blaze-builder
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-blaze-builder
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-blaze-builder

Package: libghc-blaze-builder-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: abstraction of buffered output of byte streams
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.

Package: libghc-blaze-builder-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: abstraction of buffered output of byte streams; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.

Package: libghc-blaze-builder-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: abstraction of buffered output of byte streams; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.

## haskell-blaze-builder 0.3.0.2

=== debian/changelog ===
haskell-blaze-builder (0.3.0.2-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Wed, 25 Jan 2012 19:26:17 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: haskell
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
+Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Clint Adams <clint@debian.org>
 Build-Depends: debhelper (>= 7)
   , cdbs
   , haskell-devscripts (>= 0.8)

## haskell-blaze-builder 0.3.1.0

=== debian/changelog ===
haskell-blaze-builder (0.3.1.0-4build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 10:20:35 +0100

haskell-blaze-builder (0.3.1.0-4) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:01 +0200

haskell-blaze-builder (0.3.1.0-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:56 +0200

haskell-blaze-builder (0.3.1.0-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:00:16 +0200

haskell-blaze-builder (0.3.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 06 Feb 2012 10:03:01 -0500

=== debian/control ===
Source: haskell-blaze-builder
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-text-dev (>> 0.10), libghc-text-dev (<< 0.13)
  , libghc-text-prof
Build-Depends-Indep: ghc-doc
  , libghc-text-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/blaze-builder
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-blaze-builder
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-blaze-builder

Package: libghc-blaze-builder-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: abstraction of buffered output of byte streams${haskell:ShortBlurb}
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: abstraction of buffered output of byte streams${haskell:ShortBlurb}
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: abstraction of buffered output of byte streams${haskell:ShortBlurb}
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|blaze-builder-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/blaze-builder \
    ([\d\.]*\d)/

## haskell-blaze-builder 0.3.3.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #########
 
 GHC6 = ghc-6.12.3
-GHC7 = ghc-7.0.1
+GHC7 = ghc-7.0.2
 
 GHC = $(GHC7)
 
@@ -22,17 +22,28 @@
 clean-bench-all:
 	rm -f benchmarks/*.o benchmarks/*.hi
 	rm -f benchmarks/Throughput/*.o benchmarks/Throughput/*.hi
-	rm -f Text/Blaze/Builder.o Text/Blaze/Builder.hi
-	rm -f Text/Blaze/Builder/*.o Text/Blaze/Builder/*.hi
-	rm -f Text/Blaze/Builder/Char/*.o Text/Blaze/Builder/Char/*.hi
-	rm -f Text/Blaze/Builder/Html/*.o Text/Blaze/Builder/Html/*.hi
-	rm -f Text/Blaze/Builder/Core/*.o Text/Blaze/Builder/Core/*.hi
+	rm -f Blaze/ByteString/Builder.o Blaze/ByteString/Builder.hi
+	rm -f Blaze/ByteString/Builder/*.o Blaze/ByteString/Builder/*.hi
+	rm -f Blaze/ByteString/Builder/Internal/*.o Blaze/ByteString/Builder/Internal/*.hi
+	rm -f Blaze/ByteString/Builder/Char/*.o Blaze/ByteString/Builder/Char/*.hi
+	rm -f Blaze/ByteString/Builder/Html/*.o Blaze/ByteString/Builder/Html/*.hi
+	rm -f Blaze/ByteString/Builder/Core/*.o Blaze/ByteString/Builder/Core/*.hi
 	rm -f benchmarks/Compression benchmarks/StringAndText benchmarks/BenchThroughput benchmarks/ChunkedWrite benchmarks/BlazeVsBinary
 	rm -f Criterion/*.o Criterion/*.hi
 	rm -f Criterion/ScalingBenchmark
 
 ## Individual benchmarks
 ########################
+
+# utf8 writing to a file
+utf8-io:
+	$(GHC) --make -O2 -fforce-recomp -main-is Utf8IO benchmarks/Utf8IO.hs
+	time ./benchmarks/Utf8IO via-text    100000000 /dev/null
+	time ./benchmarks/Utf8IO text        100000000 /dev/null
+	time ./benchmarks/Utf8IO blaze       100000000 /dev/null
+	time ./benchmarks/Utf8IO base        100000000 /dev/null
+	time ./benchmarks/Utf8IO utf8-light  100000000 /dev/null
+	time ./benchmarks/Utf8IO utf8-string 100000000 /dev/null
 
 # 'blaze-builder' vs. 'binary' comparision
 bench-blaze-vs-binary:
@@ -102,6 +113,9 @@
 	$(GHC) --make -O2 -fforce-recomp -ibenchmarks -main-is LazyByteString LazyByteString
 	./benchmarks/LazyByteString --resamples 10000
 
+core-lazy-bytestring:
+	ghc-core -- --make -O2 -fforce-recomp -ibenchmarks -main-is LazyByteString LazyByteString
+
 # Benchmark benefit of compaction before compression
 bench-server:
 	$(GHC) --make -O2 -ibenchmarks -main-is BenchmarkServer BenchmarkServer

=== debian/changelog ===
haskell-blaze-builder (0.3.3.0-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 08 Dec 2013 09:43:45 -0500

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
   , haskell-devscripts (>= 0.8.15)
   , ghc
   , ghc-prof
-  , libghc-text-dev (>> 0.10), libghc-text-dev (<< 0.13)
+  , libghc-text-dev (>= 0.10)
+  , libghc-text-dev (<< 0.13)
   , libghc-text-prof
 Build-Depends-Indep: ghc-doc
   , libghc-text-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://hackage.haskell.org/package/blaze-builder
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-blaze-builder
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-blaze-builder

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALLCHANGELOGS_ARGS += CHANGES

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-blaze-builder 0.3.3.2

=== debian/changelog ===
haskell-blaze-builder (0.3.3.2-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 May 2015 18:34:03 +0100

haskell-blaze-builder (0.3.3.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:55 +0200

haskell-blaze-builder (0.3.3.2-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:36 +0100

haskell-blaze-builder (0.3.3.2-1) unstable; urgency=medium

  * New upstream version.
  * Fix misspelling of "system" in long description.

 -- Clint Adams <clint@debian.org>  Sun, 01 Jun 2014 18:11:00 -0400

=== debian/control ===
Source: haskell-blaze-builder
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.9)
  , ghc
  , ghc-prof
  , libghc-text-dev (>= 0.10)
  , libghc-text-dev (<< 1.2)
  , libghc-text-prof
Build-Depends-Indep: ghc-doc
  , libghc-text-doc
Standards-Version: 3.9.5
Homepage: http://hackage.haskell.org/package/blaze-builder
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-blaze-builder
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-blaze-builder
X-Description: abstraction of buffered output of byte streams
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the
 system call overhead when writing the resulting lazy bytestring to a file or
 sending it over the network.

Package: libghc-blaze-builder-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-blaze-builder 0.4.0.1

=== debian/changelog ===
haskell-blaze-builder (0.4.0.1-3build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2016 15:07:36 +0000

haskell-blaze-builder (0.4.0.1-3) unstable; urgency=medium

  [ Joachim Breitner ]
  * Add Uploaders field, which I accidentally dropped

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:07 -0500

haskell-blaze-builder (0.4.0.1-2) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:02 +0200

haskell-blaze-builder (0.4.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 27 Jun 2015 17:25:13 +0200

=== debian/control ===
Source: haskell-blaze-builder
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-text-dev (>= 0.10),
 libghc-text-dev (<< 1.3),
 libghc-text-prof,
Build-Depends-Indep: ghc-doc,
 libghc-text-doc,
Standards-Version: 3.9.6
Homepage: http://github.com/lpsmith/blaze-builder
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: abstraction of buffered output of byte streams
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the
 system call overhead when writing the resulting lazy bytestring to a file or
 sending it over the network.

Package: libghc-blaze-builder-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-blaze-builder 0.4.0.2

=== debian/changelog ===
haskell-blaze-builder (0.4.0.2-3build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jun 2017 21:25:59 +0200

haskell-blaze-builder (0.4.0.2-3build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2017 12:07:02 +0100

haskell-blaze-builder (0.4.0.2-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:34 -0400

haskell-blaze-builder (0.4.0.2-2) experimental; urgency=medium

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Fri, 14 Oct 2016 14:54:54 -0400

haskell-blaze-builder (0.4.0.2-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 May 2016 13:38:20 +0200

=== debian/control ===
Source: haskell-blaze-builder
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-text-dev (<< 1.3),
 libghc-text-dev (>= 0.10),
 libghc-text-prof,
Build-Depends-Indep: ghc-doc, libghc-text-doc
Standards-Version: 3.9.8
Homepage: http://github.com/lpsmith/blaze-builder
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-blaze-builder
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: abstraction of buffered output of byte streams
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the
 system call overhead when writing the resulting lazy bytestring to a file or
 sending it over the network.

Package: libghc-blaze-builder-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/blaze-builder/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-blaze-builder 0.4.1.0

=== debian/changelog ===
haskell-blaze-builder (0.4.1.0-4build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 22:29:53 +0000

haskell-blaze-builder (0.4.1.0-4build1) groovy; urgency=medium

  * No change rebuild against new ghc ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Jul 2020 13:48:53 +0100

haskell-blaze-builder (0.4.1.0-4) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 21:59:28 -0400

haskell-blaze-builder (0.4.1.0-3) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:26 +0300

haskell-blaze-builder (0.4.1.0-2) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:02:43 +0300

haskell-blaze-builder (0.4.1.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 15:22:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: haskell-blaze-builder
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-text-dev (<< 1.3),
- libghc-text-dev (>= 0.10),
- libghc-text-prof,
-Build-Depends-Indep: ghc-doc, libghc-text-doc
-Standards-Version: 3.9.8
-Homepage: http://github.com/lpsmith/blaze-builder
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-blaze-builder
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Build-Depends-Indep: ghc-doc
+Standards-Version: 4.5.0
+Homepage: https://github.com/lpsmith/blaze-builder
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-blaze-builder
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-blaze-builder]
 X-Description: abstraction of buffered output of byte streams
  This library provides an abstraction of buffered output of byte streams and
  several convenience functions to exploit it. For example, it allows one to

## haskell-blaze-builder 0.4.2.2

=== debian/changelog ===
haskell-blaze-builder (0.4.2.2-1build3) lunar; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Dec 2022 13:59:20 +0100

haskell-blaze-builder (0.4.2.2-1build2) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Dec 2022 21:28:11 +0100

haskell-blaze-builder (0.4.2.2-1build1) kinetic; urgency=medium

  * No-change rebuild for new ghc

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 05:42:10 +0000

haskell-blaze-builder (0.4.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 20 Jun 2022 19:41:36 -0400

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  ghc-prof,
  haskell-devscripts (>= 0.13),
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.5.0
-Homepage: https://github.com/lpsmith/blaze-builder
+Standards-Version: 4.6.1
+Homepage: https://github.com/blaze-builder/blaze-builder
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-blaze-builder
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-blaze-builder]
 X-Description: abstraction of buffered output of byte streams

## haskell-blaze-builder 0.4.2.3

=== Makefile ===
--- 
+++ 
@@ -6,12 +6,9 @@
 ## Config
 #########
 
-GHC6 = ghc-6.12.3
-GHC7 = ghc-7.0.2
+GHC = ghc
 
-GHC = $(GHC7)
-
-GHCI = ghci-6.12.3
+GHCI = ghci
 
 
 ## All benchmarks
@@ -51,7 +48,7 @@
 	./benchmarks/BlazeVsBinary --resamples 10000
 
 # throughput benchmarks: interactive development
-ghci-throughput: benchmarks/Throughput/CBenchmark.o 
+ghci-throughput: benchmarks/Throughput/CBenchmark.o
 	$(GHCI) -O2 -fforce-recomp -ibenchmarks -main-is BenchThroughput benchmarks/Throughput/CBenchmark.o benchmarks/BenchThroughput.hs
 
 bench-throughput: benchmarks/Throughput/CBenchmark.o
@@ -146,11 +143,11 @@
 clean-tests:
 	rm -f tests/Tests tests/*.o tests/*.hi
 
-ghci-llvm-segfault: 
-	$(GHCI) -itests -main-is LlvmSegfault tests/LlvmSegfault 
+ghci-llvm-segfault:
+	$(GHCI) -itests -main-is LlvmSegfault tests/LlvmSegfault
 
-test-llvm-segfault: 
-	ghc-7.0.0.20100924 --make -fllvm -itests -main-is LlvmSegfault tests/LlvmSegfault 
+test-llvm-segfault:
+	ghc-7.0.0.20100924 --make -fllvm -itests -main-is LlvmSegfault tests/LlvmSegfault
 	./tests/LlvmSegfault
 
 ##############################################################################

=== debian/changelog ===
haskell-blaze-builder (0.4.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 19 Oct 2023 21:05:24 +0300

haskell-blaze-builder (0.4.2.2-2) unstable; urgency=medium

  * Remove retired developer, Joachim Breitner, from Uploaders.
  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 27 Aug 2023 16:58:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: haskell-blaze-builder
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: Ilias Tsitsimpis <iliastsi@debian.org>
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/blaze-builder/blaze-builder
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-blaze-builder
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-blaze-builder]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/blaze-builder/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-blaze-builder 0.4.4.1

=== debian/changelog ===
haskell-blaze-builder (0.4.4.1-2) unstable; urgency=medium

  * Remove TODO from docs (no longer exists)

 -- Scott Talbert <swt@techie.net>  Sat, 03 Jan 2026 22:59:49 -0500

haskell-blaze-builder (0.4.4.1-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Sat, 03 Jan 2026 21:32:11 -0500

haskell-blaze-builder (0.4.2.3-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 14 Sep 2024 22:48:38 +0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 9.4),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.10),
  ghc-prof,
  haskell-devscripts (>= 0.13),
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/blaze-builder/blaze-builder
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-blaze-builder
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-blaze-builder]
